Name:           ascii-design
Version:        1.1.0
Release:        1%{?dist}
Summary:        A tool to create ascii arts
License:        GPLv2
URL:            http://ascii-design.sourceforge.net
Source0:        http://downloads.sourceforge.net/project/%{name}/%{name}/Ascii-Design%20%{version}/%{name}-%{version}.tar.bz2
#Patch0:         ascii-design-1.1.0-appdata-syntax-cleanup.patch
#BuildRequires:  appdata-tools
BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  qt4-devel
Requires:       figlet

%description
Ascii Design is a free program based on figlet engine that enables you to 
create awesome ascii art text. You can create art based text for many types 
of decorations for web sites, e-mail, text files etc...

Ascii Design is also able to use dozens of special fonts to create various 
styles of ascii arts.

%prep
%setup -q
#%patch0 -p1
sed -i 's/\r$//' COPYING.TXT

%build
# Using Qt4 for a while
mkdir build && cd build
%cmake ..
make %{?_smp_mflags}

%install
%make_install -C build

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop
#appdata-validate --nonet %{buildroot}%{_datadir}/appdata/%{name}.appdata.xml

%files
%doc COPYING.TXT README.md
%{_bindir}/%{name}
%exclude %{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Fri Jun 20 2014 Christopher Meng <rpm@cicku.me> - 1.1.0-1
- Update to 1.1.0

* Fri Jan 24 2014 Christopher Meng <rpm@cicku.me> - 1.0.2-1
- Use proper compiler flags to build.

* Thu Jul 25 2013 Christopher Meng <rpm@cicku.me> - 1.0.2-1
- Update to 1.0.2

* Sat May 18 2013 Christopher Meng <rpm@cicku.me> - 1.0.1-2
- Small fix.

* Thu May 02 2013 Christopher Meng <rpm@cicku.me> - 1.0.1-1
- Initial Package.
